Name: crossroads
Version: 2.18
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Load balance and fail over utility for TCP based services
License: GPLv3+
Group: System/Servers

Url: http://crossroads.e-tunity.com/
Source: http://crossroads.e-tunity.com/downloads/versions/crossroads-%version.tar.gz

# Automatically added by buildreq on Sun Aug 17 2008
BuildRequires: gcc-c++

%description
Crossroads is an open source load balance and fail over utility for TCP based
services. It is a daemon running in user space, and features extensive
configurability, polling of back ends using 'wakeup calls', detailed status
reporting, 'hooks' for special actions when backend calls fail, and much more.
Crossroads is service-independent: it is usable for HTTP(S), SSH, SMTP, DNS,
etc. In the case of HTTP balancing, Crossroads can provide 'session stickiness'
for back end processes that need sessions, but aren't session-aware of other
back ends.

%prep
%setup

%build
%make_build local

%install
install -pD -m755 xr/build/xr %buildroot%_sbindir/xr

%files
%doc doc/xr.pdf xrctl/xrctl
%_sbindir/*

%changelog
* Wed Oct 08 2008 Victor Forsyuk <force@altlinux.org> 2.18-alt1
- 2.18

* Sun Aug 17 2008 Victor Forsyuk <force@altlinux.org> 2.05-alt1
- Initial build.
